import { Field } from "./field";
import { Expression } from "./expression";
import { Value } from "./value";
export declare class Query {
    expressions: Expression[];
    constructor(expressions: Expression[]);
    containsField(field: Field): boolean;
    containsFieldWithValue(field: Field, value: Value): boolean;
}
